Module java.desktop
Package java.awt.desktop

## Class AppForegroundEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.AppForegroundEvent

All Implemented Interfaces:
  Serializable

    public final class AppForegroundEvent
    extends AppEvent

Event sent when the application has become the foreground app, and when it is no longer the foreground app.

Since:
  9
See Also:
  `AppForegroundListener.appRaisedToForeground(AppEvent.AppForegroundEvent)`, `AppForegroundListener.appMovedToBackground(AppEvent.AppForegroundEvent)`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`AppForegroundEvent()` Constructs an `AppForegroundEvent`

### Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AppForegroundEvent

    public AppForegroundEvent()

Constructs an `AppForegroundEvent`